package schedframe.resources.computing.profiles.energy.power.plugin;

import schedframe.Plugin;
import schedframe.resources.computing.profiles.energy.ResourceEvent;
import schedframe.resources.devices.PhysicalResource;
import schedframe.scheduling.manager.tasks.JobRegistry;

public interface EnergyEstimationPlugin extends Plugin {
	
	public double estimatePowerConsumption(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource);

	public double estimateAirflow(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource);

	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, PhysicalResource resource);

}
